> ## Documentation Index
> Fetch the complete documentation index at: https://docs.presenton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Presentation With New Content

> Edit presentation with new content.

Create an API Key from your account to access this endpoint.
Authorization: Bearer sk-presenton-xxxxxxxx



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/ppt/presentation/edit
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.presenton.ai
security: []
paths:
  /api/v1/ppt/presentation/edit:
    post:
      tags:
        - Presentation
      summary: Edit Presentation With New Content
      description: |-
        Edit presentation with new content.

        Create an API Key from your account to access this endpoint.
        Authorization: Bearer sk-presenton-xxxxxxxx
      operationId: edit_presentation_with_new_content_api_v1_ppt_presentation_edit_post
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            description: The bearer token to authenticate with
            title: Authorization
          description: The bearer token to authenticate with
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditPresentationRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresentationPathAndEditPath'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EditPresentationRequest:
      properties:
        presentation_id:
          type: string
          format: uuid
          title: Presentation Id
          description: The id of the presentation to use
        slides:
          items:
            $ref: '#/components/schemas/SlideContentUpdate'
          type: array
          title: Slides
          description: The data to update the slides with
        export_as:
          type: string
          enum:
            - pptx
            - pdf
            - png
          title: Export As
          description: The format to export the presentation as
          default: pptx
      type: object
      required:
        - presentation_id
        - slides
      title: EditPresentationRequest
    PresentationPathAndEditPath:
      properties:
        presentation_id:
          type: string
          format: uuid
          title: Presentation Id
        path:
          type: string
          title: Path
        edit_path:
          type: string
          title: Edit Path
        credits_consumed:
          type: number
          title: Credits Consumed
      type: object
      required:
        - presentation_id
        - path
        - edit_path
        - credits_consumed
      title: PresentationPathAndEditPath
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SlideContentUpdate:
      properties:
        index:
          type: integer
          title: Index
        content:
          additionalProperties: true
          type: object
          title: Content
      type: object
      required:
        - index
        - content
      title: SlideContentUpdate
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````